CGAL 6.1.2 - 2D Polyline Simplification: CGAL::Polyline_simplification_2::Polyline_simplification_2< PCT, CostFunction, StopFunction > Class Template Reference

CGAL 6.1.2 - 2D Polyline Simplification

Loading...
Searching...
No Matches
List of all members | Classes | Public Types | Public Member Functions | Public Attributes
CGAL::Polyline_simplification_2::Polyline_simplification_2< PCT, CostFunction, StopFunction > Class Template Reference

`#include <CGAL/Polyline_simplification_2/simplify.h>`

## Classes
struct | Compare_cost
struct | Id_map

## Public Types
typedef PCT::Point | Point
typedef PCT::Edge | Edge
typedef PCT::Constraint_id | Constraint_id
typedef PCT::Constrained_edges_iterator | Constrained_edges_iterator
typedef PCT::Constraint_iterator | Constraint_iterator
typedef PCT::Vertices_in_constraint_iterator | Vertices_in_constraint_iterator
typedef PCT::Finite_vertices_iterator | Finite_vertices_iterator
typedef PCT::Vertex_handle | Vertex_handle
typedef PCT::Face_handle | Face_handle
typedef PCT::Vertex_circulator | Vertex_circulator
typedef PCT::Geom_traits::FT | FT
typedef CGAL::Modifiable_priority_queue< Vertex_handle, Compare_cost, Id_map > | MPQ

## Public Member Functions
| Polyline_simplification_2 (PCT &pct, CostFunction cost, StopFunction stop)
| Polyline_simplification_2 (PCT &pct, Constraint_id cid, CostFunction cost, StopFunction stop)
| ~Polyline_simplification_2 ()
void | initialize_unremovable ()
int | initialize_costs (Constraint_id cid)
int | initialize_costs ()
bool | is_removable (Vertices_in_constraint_iterator it)
int | initialize_indices (Constraint_id cid, int id=0)
int | initialize_indices ()
bool | operator() ()
std::size_t | number_of_removed_vertices () const

## Public Attributes
PCT & | pct
CostFunction | cost
StopFunction | stop
std::size_t | pct_initial_number_of_vertices
std::size_t | number_of_unremovable_vertices
std::unordered_map< Vertex_handle, std::list< Vertices_in_constraint_iterator > > | vertex_to_iterator
MPQ * | mpq